## treeland-protocols 0.4.1

=== debian/changelog ===
treeland-protocols (0.4.1) unstable; urgency=medium

  * update appearance

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 01 Nov 2024 11:07:40 +0800

treeland-protocols (0.4) unstable; urgency=medium

  * Initial release

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Tue, 12 Dec 2023 20:07:40 +0800

## treeland-protocols 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25.0)

project(TreelandProtocols VERSION 0.0.1)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)

include(GNUInstallDirs)

add_subdirectory(cmake)

set(XML
  xml/treeland-capture-unstable-v1.xml
  xml/treeland-output-manager-v1.xml
  xml/treeland-virtual-output-manager-v1.xml
  xml/treeland-dde-shell-v1.xml
  xml/treeland-personalization-manager-v1.xml
  xml/treeland-wallpaper-color-v1.xml
  xml/treeland-foreign-toplevel-manager-v1.xml
  xml/treeland-shortcut-manager-v1.xml
  xml/treeland-window-management-v1.xml
)

install(FILES ${XML} DESTINATION ${CMAKE_INSTALL_DATADIR}/treeland-protocols)

=== cmake/CMakeLists.txt ===
configure_file(TreelandProtocolsConfig.cmake.in TreelandProtocolsConfig.cmake @ONLY)
configure_file(treeland-protocols.pc.in treeland-protocols.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TreelandProtocolsConfig.cmake
    DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/TreelandProtocols)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/treeland-protocols.pc
    DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)

=== debian/changelog ===
treeland-protocols (0.4.5-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:17:07 -0400

treeland-protocols (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1095712)

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 20:09:32 -0500

=== debian/control ===
Source: treeland-protocols
Priority: optional
Section: libdevel
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.4~),
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/linuxdeepin/treeland-protocols
Vcs-Browser: https://salsa.debian.org/debian/treeland-protocols
Vcs-Git: https://salsa.debian.org/debian/treeland-protocols.git
Rules-Requires-Root: no

Package: treeland-protocols
Architecture: all
Depends: ${misc:Depends},
Breaks:
 libdtkcommon-dev (<< 5.7.11-3~),
Replaces:
 libdtkcommon-dev (<< 5.7.11-3~),
Description: Wayland protocol extensions for treeland
 This package provides treeland wayland protocol extensions,
 used by Deepin software.

## treeland-protocols 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25.0)
 
-project(TreelandProtocols VERSION 0.0.1)
+project(TreelandProtocols VERSION 0.5.0)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -20,6 +20,7 @@
   xml/treeland-foreign-toplevel-manager-v1.xml
   xml/treeland-shortcut-manager-v1.xml
   xml/treeland-window-management-v1.xml
+  xml/treeland-ddm-v1.xml
 )
 
 install(FILES ${XML} DESTINATION ${CMAKE_INSTALL_DATADIR}/treeland-protocols)

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 configure_file(TreelandProtocolsConfig.cmake.in TreelandProtocolsConfig.cmake @ONLY)
+configure_file(TreelandProtocolsConfigVersion.cmake.in TreelandProtocolsConfigVersion.cmake @ONLY)
 configure_file(treeland-protocols.pc.in treeland-protocols.pc @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/TreelandProtocolsConfig.cmake
+              ${CMAKE_CURRENT_BINARY_DIR}/TreelandProtocolsConfigVersion.cmake
     DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/TreelandProtocols)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/treeland-protocols.pc

=== debian/changelog ===
treeland-protocols (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 07:57:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.4~),
+ cmake (>= 3.5),
  debhelper-compat (= 13),
 Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/treeland-protocols

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkcommon-$1.tar.gz%" \
 https://github.com/linuxdeepin/treeland-protocols/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## treeland-protocols 0.5.1

=== debian/changelog ===
treeland-protocols (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Nov 2025 15:19:21 -0500

## treeland-protocols 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,12 @@
   xml/treeland-wallpaper-color-v1.xml
   xml/treeland-foreign-toplevel-manager-v1.xml
   xml/treeland-shortcut-manager-v1.xml
+  xml/treeland-shortcut-manager-v2.xml
   xml/treeland-window-management-v1.xml
   xml/treeland-ddm-v1.xml
+  xml/treeland-screensaver-v1.xml
+  xml/treeland-prelaunch-splash-v1.xml
+  xml/treeland-app-id-resolver-v1.xml
 )
 
 install(FILES ${XML} DESTINATION ${CMAKE_INSTALL_DATADIR}/treeland-protocols)

=== debian/changelog ===
treeland-protocols (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:17:29 -0500

## treeland-protocols 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25.0)
 
-project(TreelandProtocols VERSION 0.5.0)
+project(TreelandProtocols VERSION 0.5.3)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== debian/changelog ===
treeland-protocols (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jan 2026 10:17:32 -0500

=== debian/control ===
Source: treeland-protocols
Section: libdevel
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.5),
 debhelper-compat (= 13),
Standards-Version: 4.7.3
Homepage: https://github.com/linuxdeepin/treeland-protocols
Vcs-Browser: https://salsa.debian.org/debian/treeland-protocols
Vcs-Git: https://salsa.debian.org/debian/treeland-protocols.git
Description: Wayland protocol extensions for treeland
 This package provides treeland wayland protocol extensions,
 used by Deepin software.

Package: treeland-protocols
Architecture: all
Depends: ${misc:Depends},
Breaks:
 libdtkcommon-dev (<< 5.7.11-3~),
Replaces:
 libdtkcommon-dev (<< 5.7.11-3~),
Description: ${source:Synopsis}
 ${source:Extended-Description}

## treeland-protocols 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
   xml/treeland-screensaver-v1.xml
   xml/treeland-prelaunch-splash-v1.xml
   xml/treeland-app-id-resolver-v1.xml
+  xml/treeland-wallpaper-manager-unstable-v1.xml
+  xml/treeland-wallpaper-shell-unstable-v1.xml
 )
 
 install(FILES ${XML} DESTINATION ${CMAKE_INSTALL_DATADIR}/treeland-protocols)

=== debian/changelog ===
treeland-protocols (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Feb 2026 16:22:04 -0500

## treeland-protocols 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25.0)
 
-project(TreelandProtocols VERSION 0.5.3)
+project(TreelandProtocols VERSION 0.5.5)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -24,6 +24,7 @@
   xml/treeland-ddm-v1.xml
   xml/treeland-screensaver-v1.xml
   xml/treeland-prelaunch-splash-v1.xml
+  xml/treeland-prelaunch-splash-v2.xml
   xml/treeland-app-id-resolver-v1.xml
   xml/treeland-wallpaper-manager-unstable-v1.xml
   xml/treeland-wallpaper-shell-unstable-v1.xml

=== debian/changelog ===
treeland-protocols (0.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 17:36:03 -0500

=== debian/watch ===
Version: 5

Template: GitHub
Owner: linuxdeepin
Project: treeland-protocols
